import { createApp } from "vue";
import AccompanyingPeriodWorkSelectorModal from "../../vuejs/_components/AccompanyingPeriodWorkSelector/AccompanyingPeriodWorkSelectorModal.vue";

document.addEventListener("DOMContentLoaded", () => {
  const el = document.getElementById("linked-acpw-selector");
  if (el) {
    const accompanyingPeriodId = el.dataset.accompanyingPeriod;
    createApp(AccompanyingPeriodWorkSelectorModal, {
      accompanyingPeriodId,
    }).mount(el);
  }
});
